package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicAccountManageTransactionTransType {
    public static final String RECHARGE = "充值";
    public static final String TRANSACTION = "交易";

    private static DicAccountManageTransactionTransType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicAccountManageTransactionTransType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(RECHARGE, RECHARGE);
        dicMap.put(TRANSACTION, TRANSACTION);
    }

    public static DicAccountManageTransactionTransType getInstacne(){
        if (instance == null)
        {
            instance = new DicAccountManageTransactionTransType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
